package main

import (
    "log"
    "net/http"
    "yaagobackend/routes" // Import local package (assuming router.go is in a subdirectory named 'routes')
    "github.com/gorilla/mux"
)

func main() {
    r := mux.NewRouter()

    // Initialize routes from router.go
    routes.InitializeRoutes(r)

    // Start the server
    log.Println("Server listening on port 8000")
    log.Fatal(http.ListenAndServe(":8000", r))
}
